Bug Hunting Session
Bug 45147 - right-to-left words appear in the wrong order in the CSV import dialog
Summary: right-to-left words appear in the wrong order in the CSV import dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL CSV-Dialog
  Show dependency treegraph
 
Reported: 2012-01-23 12:31 UTC by Lior Kaplan
Modified: 2019-09-18 02:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
RTL CSV demo (88 bytes, text/csv)
2012-01-23 12:42 UTC, Lior Kaplan
Details
PDF export using 4.5 alpha from Jan 25th 2015 (16.05 KB, application/octetstream)
2015-01-27 15:46 UTC, Buovjaga
Details
screenshot (104.53 KB, image/png)
2015-01-27 17:44 UTC, Amir E. Aharoni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2012-01-23 12:31:02 UTC
Reproduction:

1. Open the attached CSV document. The export wizard will appear.
2. Make sure that "Comma" is checked.
3. Make sure that "Character set" is "Unicode (UTF-8)".
4. Look at the columns at the bottom. The first and the second row have groups of the same four letters. In the first row there's a space in the middle of the string and in the second row the four letters are one string.

Here's the bug: in the first row the first two letters appear to the *left* of the last two letters. Since it's one RTL string, the first two letters are supposed to appear to the *right* of the last two letters. It's as if it would say "name Last" instead of "Last name".
Comment 1 Lior Kaplan 2012-01-23 12:42:50 UTC
Created attachment 56053 [details]
RTL CSV demo
Comment 2 Lior Kaplan 2012-01-23 12:43:48 UTC
Bug credit: Amir E. Aharoni (:
Comment 3 Urmas 2012-01-30 02:44:39 UTC
Lowering severity due to being a pure display issue.
Comment 4 Amir E. Aharoni 2012-01-30 02:54:18 UTC
OK it's suppose I is it issue display a of kind what understands everybody as long As :-)
Comment 5 Urmas 2012-02-07 22:53:52 UTC
After import the first cell contains RTL text "AB GD", "DG BA" in visual order. Import is done correctly, it's not a 'major' bug in any way.
Comment 6 Amir E. Aharoni 2012-02-08 01:35:13 UTC
After import it's indeed correct, broken it's import before but.

Sorry about repeating the jokes, but showing text in reverse anywhere is a major bug.
Comment 7 QA Administrators 2015-01-05 17:51:54 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-01-27 15:46:47 UTC
Created attachment 112829 [details]
PDF export using 4.5 alpha from Jan 25th 2015

Here's how it looks like in 4.5. Bug or not? I could not decide based on the original description, because it was so vague.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 9 Amir E. Aharoni 2015-01-27 17:44:01 UTC
Created attachment 112833 [details]
screenshot

The bug is still there.

The import dialog is the thing that is broken.

See the attached screenshot.

The order of letters in row 1 and row 2 is supposed to be the same. The difference is supposed to be that the strings in row 1 are supposed to have a space in the middle.
Comment 10 QA Administrators 2016-02-21 08:36:24 UTC Comment hidden (obsolete)
Comment 11 Omer Zak 2017-11-01 23:03:39 UTC
The bug in the RTL CSV Text import dialog still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


By the way:
When I exported to a PDF file, the PDF file looked OK (also the attached PDF export using 4.5 alpha from Jan 25th 2015 looked OK).
Comment 12 Eyal Rozenberg 2018-09-17 16:46:39 UTC
Bug still manifests with:

Version: 6.1.1.2
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 13 QA Administrators 2019-09-18 02:53:19 UTC
Dear Lior Kaplan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug